
% PAEE
% Primera Aventura (o lo que sea) Experimental y Extranya v1.0
% variante [completa; Prolog; texto UTF-8; 80 columnas]
% (C) 1999 El Presi (Enrique D. Bosch)
% Puede distribuirse libremente sin modificaciones en el texto


% Funciones
load_string(String,L) :-
	get_byte(C), C \== -1, C \== 10, !,
	append(String,[C],Result),
	load_string(Result,L).

load_string(String,String).


raw_input(Prompt,Input) :-
	prompt1(Prompt),
	load_string([],Input).

print_(String) :- write(String), nl.


% Juego PAEE.
l1000 :-
	nl,
	print_('  Te acercas cautelosamente al umbral y el resultado no varía, es decir, sigue\n  \
	      sin verse absolutamente nada pues la oscuridad del interior es total, antes\n  \
	      de que puedas darte cuenta el umbral te absorbe mediante una fuerza desconocida.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l45000.

l2000 :-
	nl,
	print_('  Parece ser que no se sabe como has ido a parar a una civilización futurista\n  \
	      y de lo más aburrida, aquí todos son políticamente correctos y lo peor de\n  \
	      todo es que no ves la forma de salir de ahi.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  De repente aparecen dos hombres fuertes, aunque por su aspecto físico no se\n  \
	      diría, que te agarran cada uno de un brazo y te llevan a un edificio,\n  \
	      parecen una especie de policías porque llevan un pequeño escudo en sus ropas\n  \
	      (las ropas son iguales a las de todos los demás), te meten en un pequeño\n  \
	      cuarto, totalmente oscuro en donde pierdes la consciencia.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Debes haber violado unas cuantas leyes de esta civilización, y sin necesidad\n  \
	      de juicio ya se ha aplicado la pena, incluso tu cadáver se ha desintegrado.\n  \
	      '),
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.

l3000 :-
	nl,
	print_('  Extiendes el brazo hacia arriba, alcanzas con el dedo el botón de aviso a un\n  \
	      auxiliar de vuelo y lo pulsas, nada mas apretarlo el pulsador se enciende y\n  \
	      al cabo de unos segundos aparece una azafata o pudiera ser que fuera\n  \
	      azafato, pues es tal su ambigüedad sexual que nadie en su sano juicio\n  \
	      apostaría un céntimo de Euro por decantarse por uno u otro sexo. Abre los\n  \
	      labios ligeramente para decir algo, pero antes de que lo haga sientes que\n  \
	      tienes el poder para \'asignarle\' un sexo al individuo en cuestión.'),
	nl,
	print_(' Opciones:'),
	print_('m->le asignas el sexo masculino'),
	print_('f->le asignas el sexo femenino'),
	print_('h->le asignas ser hermafrodita'),
	print_('n->no le asignas ningún sexo'),
	nl,
	raw_input('>',Opt),
	sel_l3000(Opt).

sel_l3000("salir" ).
sel_l3000("m" ) :- l28000.
sel_l3000("f" ) :- l15000.
sel_l3000("h" ) :- l33000.
sel_l3000("n" ) :- l33000.
sel_l3000(_) :- l3000.

l4000 :-
  nl,
  print_('  Te bajas en la siguiente parada, y te das cuenta que estás en una parada\n  \
	cercana a tu casa, en tu propia ciudad, pero desde el interior del autobús\n  \
	te parecía que te encontrabas en una ciudad desconocida.'),
  nl,
  print_('  Fin'),
  nl,
  print_('  Pulsa enter para salir'),
  raw_input('',_),
  nl.

l5000 :-
  nl,
  print_('  Te levantas de tu asiento con normalidad y cuando estás cerca de la persona\n  \
	elegida, te lanzas sobre ella en menos de una décima de segundo y sin que le\n  \
	de tiempo de reaccionar le plantas un estupendo beso en el centro de sus\n  \
	labios, la persona a la que te has lanzado al cabo de unos segundos te coge\n  \
	la cabeza y la aparta, te mira directamente a los ojos otros pocos segundos\n  \
	y luego es ella la que te devuelve un formidable beso, más largo y\n  \
	placentero que el anterior, entonces te vuelve a alejar la cabeza y te\n  \
	propina una sonora y fuerte bofetada.'),
  nl,
  print_('  Pulsa enter'),
  raw_input('',_),
  nl,
  print_('  Y en ese mismo instante, cuando aun te estás doliendo de la bofetada\n  \
	desapareces del autobús y apareces justo de donde desapareciste al\n  \
	principio, es decir, estás jugando al ordenador en tu casa. La cara ya no te\n  \
	duele, ¿te habrás quedado dormido y todo no ha sido más que un sueño?,\n  \
	cuando vas al cuarto de baño y te miras al espejo tienes la cara toda roja\n  \
	justo donde te dieron la bofetada.'),
  nl,
  print_('  Fin'),
  nl,
  print_('  Pulsa enter para salir'),
  raw_input('',_),
  nl.

l6000 :-
  nl, 
  print_('   Sigues cayendo, llevas ya unos cuantos minutos hundiéndote cada vez más, a\n  \ 
	través del agua no ves rastro alguno de vida, ni peces ni nada parecido,\n  \
	poco a poco la luz va teniendo dificultad para llegar a las profundidades a\n  \ 
	las que estás, hacia abajo está todo oscuro. '), 
  nl, 
  print_('   Pulsa enter'), 
  raw_input('',_),
  nl, 
  print_('   De repente tus pies tocan algo sólido, bueno sólido no es exactamente, es\n  \ 
	algo blandengue en lo que tus pies se van hundiendo, es como lodo y ya te\n  \
	llega hasta la cintura, pronto te absorberá.'), 
  nl, 
  print_('   Pulsa enter'), 
  raw_input('',_),
  nl, 
  print_('   Ya estás totalmente totalmente hundid@ en el lodo, la oscuridad es total,\n  \ 
	pero puedes seguir respirando, este lodo al contacto con tu cuerpo te\n  \ 
	produce una sensación de cosquilleo curiosa y sigues hundiéndote en él más y\n  \ 
	más.'), 
  nl, 
  print_('   Pulsa enter'), 
  raw_input('',_),
  nl, 
  print_('   Debes llevar horas bajando por el lodo, el aburrimiento se ha apoderado de\n  \ 
	ti hace muchas horas y lo que más deseas es que llegues a algún sitio, y\n  \
	justo en ese momento tocas con los pies algo realmente sólido, es un suelo\n  \ 
	como de rocas algo irregular, puedes caminar sin dificultad, la oscuridad\n  \ 
	sigue siendo una de las grandes protagonistas.'), 
  nl, 
  print_('   Pulsa enter'), 
  raw_input('',_),
  nl, 
  print_('   Cuando te vas a preguntar hacia dónde podrías ir, o qué vas a hacer notas\n  \ 
	como el lodo empieza a agitarse, se están produciendo turbulencias y\n  \
	remolinos que te arrastran de un lado a otro, ya no tocas suelo y el lodo\n  \
	empieza a calmarse, vuelves a bajar pensando que tocarás de nuevo suelo pero\n  \
	no, caes hacia abajo y sales del lodo, como si el lodo fuera una nube y estás\n  \ 
	cayendo por el aire, por un cielo amarillo clarito, hacia abajo se divisa\n  \
	una ciudad, no tienes ni idea de que ciudad es.'), 
  nl, 
  print_('   Pulsa enter'), 
  raw_input('',_),
  nl, 
  print_('   Ya estás muy cerca del suelo, ya has entrado en la maraña de edificios de la\n  \
	ciudad, mientras sigues cayendo puedes ver por las ventanas de los edificios\n  \
	a gente en sus oficinas, amas de casa algunas realizando sus quehaceres y\n  \
	otras viendo la televisión, etc.'), 
  nl, 
  print_('   Pulsa enter'), 
  raw_input('',_),
  nl, 
  print_('   Vas a caer en medio de la calle, en ese momento pasa un autobús de línea en\n  \ 
	medio de la vía pública, cayendo atraviesas su techo como un fantasma y caes\n  \
	suavemente en un asiento, el autobús va bastante vacío y como la gente va\n  \
	pensando en sus cosas no se han dado cuenta de tu extraordinaria presencia.'),
  nl,
  print_('  Opciones:'), 
  print_(' b->bajar en la próxima parada'), 
  print_(' m->matar al conductor'), 
  print_(' d->darle un beso en toda la boca a un/a chic@ muy atractiv@ que está sentad@\n  \), 
     no muy lejos de ti'), 
  print_(' r->romper el cristal y tirate por la ventana'), 
  nl, 
  raw_input('>',Opt),
  sel_l6000(Opt).
  

sel_l6000("salir").
sel_l6000("b") :- l4000.
sel_l6000("m") :- l29000.
sel_l6000("d") :- l5000.
sel_l6000("r") :- l9000.
sel_l6000(_) :- l6000.

l7000(B) :-
	nl,
	print_('  De repente sin saber como ni porqué estás recostado en la cama de tu\n  \
	      habitación, en tu propia casa, quizás todo haya sido un sueño, pero parecía\n  \
	      tan real que no podrías asegurarlo.'),
	nl,
	l7000_alt(B).

l7000_alt("1") :- l7200.
l7000_alt(_) :-
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.

l7200 :-
  print_('  Pulsa enter'),
  raw_input('',_),
  l31000.

l8000 :-
	nl,
	print_('  Empiezas a dar saltos encima de la colchoneta como un capullo y cuando ya\n  \
	      llevas unos cuantos, la colchoneta se hunde y tú con ella.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  La colchoneta cae, tú estás acostad@ sobre ella boca abajo intentando no\n  \
	      soltarte, puedes notar una aceleración de caida tan fuerte que te produce\n  \
	      mareos, la colchoneta ya no es una colchoneta, se ha convertido en un tablón\n  \
	      de madera muy pesado y duro, todo esto lo deduces del tacto pues desde que\n  \
	      caistes reina la más absoluta oscuridad. '),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Sigues aferrado al tablón, este empieza a dar vueltas de campana en todas\n  \
	      direcciones y tu con él, el mareo es tan fuerte que te empiezan a entrar\n  \
	      nauseas, empiezas a vomitar, justamente cuando empiezas a hacerlo el tablón\n  \
	      se empieza a estabilizar de modo que evitas ahogarte con tus propios vómitos.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Paras de vomitar, el tablón comienza a perder aceleración, es como si\n  \
	      estuviera frenando, a tu alrededor empieza a hacerse la claridad, es como un\n  \
	      amanecer sin sol, y con un cielo rojo claro, ahora con luz puedes ver que el\n  \
	      tablón es en realidad una puerta, de madera lisa pero con su pomo, miras\n  \
	      hacia abajo y ves un suelo, totalmente liso y blanco, ahora mismo vas\n  \
	      cayendo como si fueras con paracaidas de modo que no te matarás cuando\n  \
	      aterrices, te sueltas accidentalmente de la puerta y descubres que caes a la\n  \
	      misma velocidad que esta sin importar que ahora caes en posición erguida.\n  \
	      '),
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Aterrizas suavemente y de pie sobre el suelo, la puerta cae y se incrusta en\n  \
	      el suelo, de hecho ahora tiene un marco y visagras. A tu alrededor no se\n  \
	      divisa nada, solo un horizonte que separa el suelo blanco del cielo rojo, en\n  \
	      todas direcciones.'),
	nl,
	print_(' Opciones:'),
	print_('a->abrir la puerta'),
	print_('c->correr hacia cualquier dirección'),
	nl,
	raw_input('>',Opt),
	sel_l8000(Opt).

sel_l8000("salir").
sel_l8000("a") :- l27000.
sel_l8000("c") :- l34000.
sel_l8000(_) :- l8000.

l9000 :-
	nl,
	print_('  Rompes el cristal del autobús ante al asombro de la gente que está alli y\n  \
	      te lanzas a la calle, te dueles un poco del golpe pero afortunadamente\n  \
	      llevabas casco, por cierto, antes no lo llevabas y en realidad no estás en\n  \
	      una calle de una ciudad sino en medio de una pista de competición del motor,\n  \
	      de repente ves como se te acerca a toda velocidad un Fórmula 1, no puedes\n  \
	      hacer nada para evitarlo, te embiste de pleno.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l7000("1").

l10000 :-
	nl,
	print_('  Sigue lloviendo, está diluviando, llueve tanto que en el suelo empieza a\n  \
	      acumularse agua, se está indundando, el nivel del agua sube rápidamente, tan\n  \
	      rápidamente que ya tienes que nadar para no ahogarte, a duras penas puedes\n  \
	      sacar la cabeza por la superficie del agua con toda la que te cae encima.\n  \
	      Todo ha pasado tan deprisa que no te ha dado tiempo de reaccionar, ¿que\n  \
	      harás ahora?'),
	nl,
	print_(' Opciones:'),
	print_('n->nadar hacia una montaña que acabas de divisar'),
	print_('q->quedarte quiet@ esperando que deje de llover'),
	nl,
	raw_input('>',Opt),
	sel_10000(Opt).
	
sel_10000("salir").
sel_10000("n") :- l21000.
sel_10000("q") :- l13000.
sel_10000(_) :- l10000.

l11000 :-
	nl,
	print_('- ¿Oiga, puede decirme donde estamos?'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('- Pero, ¿es que no lo ves?, estamos en un avión -responde el tipo malcarado\n  \
	      que tienes a tu lado derecho'),
	print_('- No, digo que donde se encuentra este avión, ¿adonde vamos?'),
	print_('  Pero el tipo ya no responde y por más que intentas hablar con él no te hace\n  \
	      ningún caso, entonces pruebas a preguntarle a la anciana que tienes a tu\n  \
	      izquierda pero tampoco contesta, parece que todo el mundo pasa de ti, y\n  \
	      descubres horrorizado que has perdido el contacto fisico con tu entorno, si,\n  \
	      tú estás ahi pero eres como una especie de fantasma, incluso vas flotando\n  \
	      sin tocar el suelo.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Quizás hayas muerto, no lo sabrías decir, pero el caso es que tú te quedas\n  \
	      encerrado en el avión para la eternidad pues el avión no parece llegar nunca\n  \
	      a su destino.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.

l12000 :-
	nl,
	print_('  Te recuestas sobre la colchoneta e intentas dormir, seguramente esto es un\n  \
	      sueño y cuando te despiertes todo habrá pasado. Pasados unos minutos te das\n  \
	      cuenta de que te es imposible conciliar el sueño, y te convences de que lo\n  \
	      que estás viviendo no es un sueño. ¿O si lo es?, porque te acabas de quedar\n  \
	      profundamente dormido en este mismo instante, era lo que querías, ¿no?\n  \
	      '),
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Cuando te despiertas ya no estás donde estabas, ahora te encuentras sentad@\n  \
	      en una butaca bastante cómoda, ¿estás en un autobús?, no, hay demasiados\n  \
	      asientos, y todos repletos de gente mires dode mires, pero no es un cine ni\n  \
	      un teatro porque el espacio es reducido y... ¡estás en un avión!'),
	nl,
	print_(' Opciones:'),
	print_('l->llamar a la azafata (auxiliares de vuelo las llaman ahora)'),
	print_('p->preguntarle a alguien de tu alrededor donde estás'),
	print_('s->saltar por encima de los asientos como un loco'),
	print_('i->intentar llegar a la cabina del piloto'),
	print_('r->ir al lavabo'),
	nl,
	raw_input('>',Opt),
	sel_l12000(Opt).

sel_l12000("salir").
sel_l12000("l") :- l3000.
sel_l12000("p") :- l11000.
sel_l12000("s") :- l26000.
sel_l12000("i") :- l36000.
sel_l12000("r") :- l24000.
sel_l12000(_) :- l12000.

l13000 :-
	nl,
	print_('  Te quedas quieto, nadando solo justo lo necesario para mantenerte a flote\n  \
	      sin desperdiciar nada de tus energías, pero no para de llover, llueve cada\n  \
	      vez más y por arriba lo que creías que era un cielo es un techo que se\n  \
	      acerca cada vez a tu cabeza por la subida del nivel de agua, está todo lleno\n  \
	      de agua, ya no hay sitio ni para tu cabeza, terminas por ahogarte.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.

l14000 :-
	nl,
	print_('  Te sientas en el puesto del piloto y empiezas a tocar todos los botones que\n  \
	      tienes a la vista, tiras la palanca de mando hacia adelante a tope, el avión\n  \
	      empieza a descender, hay unos cuantos indicadores rojos que se encienden y\n  \
	      emiten pitidos, el avión baja a toda velocidad, notas cierta sensación de\n  \
	      ingravidez.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  La colisión del avión contra el suelo es brutal, tu vista se nubla.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  De repente te encuentras en el habitáculo de un coche de carreras, es un\n  \
	      Fórumula 1, de color rojo, sin embargo por el espejo retrovisior te miras el\n  \
	      casco y es el de un conocido piloto finlandés (que no pertenece a la\n  \
	      escudería con la que corres), es increible pero pilotas a la perfección un\n  \
	      coche de Fórmula 1, vas por una recta pisando a fondo el acelerador, ahora\n  \
	      viene una curva asi que frenas lo justo para entrar en ella a la máxima\n  \
	      velocidad, en fin, que conduces como un número uno, y por los carteles y la\n  \
	      radio te informan de que vas primero.'),
	nl,
	print_(' Opciones:'),
	print_('s->seguir asi hasta el final de carrera'),
	print_('b->abandonar el monoplaza en plena marcha'),
	nl,
	raw_input('>',Opt),
	sel_l14000(Opt).

sel_l14000("salir").
sel_l14000("s") :- l18000.
sel_l14000("b") :- l40000.
sel_l14000(_) :- l14000.

l15000 :-
	nl,
	print_('  Solo con tu deseo consigues que el bicho ambiguo poco a poco (aunque el\n  \
	      cambio se produce en menos de una décima de segundo) se transforme en una\n  \
	      mujer totalmente femenina y poderosamente atractiva, en fin, en una tía de\n  \
	      lo más buenorra, acto seguido con una dulce voz digna de una soprano\n  \
	      pronuncia: \'¿Qué desea, señor(a)?\''),
	nl
	print_(' Opciones:'),
	print_('z->\'deseo un zumo de naranja\''),
	print_('e->\'eres una zorra, puta, guarra de mierda\''),
	print_('q->\'quiero follarte ahora mismo\''),
	print_('n->no dices nada y le das un puñetazo en toda la cara con todas tus fuerzas\n \
	      '),
	raw_input('>',Opt),
	sel_l15000(Opt).

sel_l15000("salir").
sel_l15000("z") :- l48000('verde').
sel_l15000("e") :- l47000.
sel_l15000("q") :- l16000.
sel_l15000("n") :- l37000.
sel_l15000(_) :- l15000.

l16000 :-
	nl,
	print_('  Nada más decirlo, se te hecha encima y os poneis a follar como leones,\n  \
	      delante de toda la gente, dicho acto sexual se desarrolla de una manera\n  \
	      totalmente bestial, brutal, de hecho empieza a no gustarte, pese a haberlo\n  \
	      querido tienes la sensación de estar siendo violad@, pero no puedes hacer\n  \
	      nada para pararlo.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Al cabo de un buen rato, la persona en cuestión se va como si nada, y todos\n  \
	      los demás también como si nada, te sientes fatal, al cabo de unos minutos el\n  \
	      avión aterriza en una ciudad totalmente desconocida, en un país igualmente\n  \
	      desconocido, ¿estás en el planeta Tierra?, ¿estás a fianles de siglo 20?\n  \
	      '),
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.

l17000 :-
	nl,
	print_('  Ahora estás en una lo que parece una especie de ciudad, los edificios son\n  \
	      construcciones con formas geométricas simples: prismas, esferas, pirámides,\n  \
	      y también algunos cilindros y conos, su superficie es de color metálica y\n  \
	      brillan a la luz de un astro, parece el sol pero algo más apagado.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Hace calor, la gente va con poca ropa y muy fina, tanto que a través de ella\n  \
	      se transparentan sus genitales, que por cierto toda la gente tiene genitales\n  \
	      decrépitos y feos. Por tierra toda la gente va caminando y por el aire se\n  \
	      ven cientos o miles de lo que parecen ser vehículos aéreos.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Hay mucha gente a tu alrededor pero nadie te hace el menor caso, pese a ir\n  \
	      vestido radicalmente distinto a ellos.'),
	nl,
	print_(' Opciones:'),
	print_('p->ponerte a manosear los genitales de la gente'),
	print_('e->empezar a dar hostias a la gente'),
	print_('q->qudarte quieto donde estás observando qué pasa'),
	nl,
	raw_input('>',Opt),
	sel_l17000(Opt).

sel_l17000("salir").
sel_l17000("p") :- l44000.
sel_l17000("e") :- l19000.
sel_l17000("q") :- l39000.
sel_l17000(_) :-  l17000.

l18000 :-
	nl,
	print_('  Sigues corriendo lo mejor que puedes para ganar, el cansancio empieza a\n  \
	      hacerse algo patente pero aun asi tu conducción es impecable, ni tú mismo\n  \
	      entiendes como puedes conducir asi.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Terminas la carrera y ganas, cuando bajas del coche, todo el mundo te toma\n  \
	      por un campeón finlandés y dan por sentado que corres para una famosa\n  \
	      escudería italiana cuyo color es el rojo, y además se celebra que en este\n  \
	      último gran premio has ganado el campeonato del mundo.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  En un momento determinado pasas por delante de un espejo, tu cara es la de\n  \
	      Mika Hakkinen.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.

l19000 :-
	nl,
	print_('  Empiezas a golpear a la gente con todas tus fuerza, todos actúan de la misma\n  \
	      manera, al recibir el golpe caen al suelo y enseguida se levantan y siguen\n  \
	      su camino como si nada, no intentan defenderse ni devolverte los golpes,\n  \
	      pasan bastante de ti, a algunos incluso les produces heridas que sangran\n  \
	      pero igualmente se levantan y siguen su camino, al principio resulta\n  \
	      divertido, pero al cabo de una media hora empieza a resultar de lo más\n  \
	      aburrido.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l2000.

l20000 :-
	nl,
	print_('  Estás en casa, jugando a tu juego favorito de ordenador.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  De repente, el monitor empieza a parpadear, lo miras extrañado y con cara de\n  \
	      pocos amigos, a veces la tarjeta gráfica aceleradora falla pero esto nunca\n  \
	      había pasado.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Está claro que se te ha fastidiado la partida que estabas jugando.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Sin saber como sientes que ya no estás en tu casa, pues en la habitación\n  \
	      donde estabas había un ordenador y unos muebles y ahora te encuentras en una\n  \
	      sala circular, de paredes blancas y lisas, suficientemente grande, de unos 4\n  \
	      metros de diámetro, en el suelo, casi ocupando toda la superficie hay una\n  \
	      colchoneta también circular sobre las que estás sentdad@ con las piernas\n  \
	      estiradas.'),
	l20210.

l20210 :-
	nl,
	print_('  No hay aparentemente salidas.'),
	nl,
	print_(' Opciones: '),
	print_('a->acostarte e intentar dormir'),
	print_('d->dar saltos sobre la colchoneta'),
	print_('e->examinar las paredes'),
	print_('n->no hacer absolutamente nada y seguir como ahora'),
	print_('salir->salir del juego (disponible en todas las listas de opciones)'),
	nl,
	raw_input('>',Opt),
	sel_l20210(Opt).

sel_l20210("salir").
sel_l20210("a") :- l12000.
sel_l20210("d") :- l8000.
sel_l20210("e") :- l43000.
sel_l20210("n") :- l30000.
sel_l20210(_) :- l20000.

l21000 :-
	nl,
	print_('  Empiezas a nadar hacia la montaña, nadas a una velocidad increiblemente\n  \
	      rápida asi que llegas pronto a la montaña que parecía lejana, justo cuando\n  \
	      llegas deja de llover y sale un sol radiante, la isla donde está la montaña\n  \
	      es una isla de esas donde siempre van a parar los naúfragos, tu no eres\n  \
	      naúfrago en sentido estricto pero quedas en las mismas condiciones que si lo\n  \
	      fueras.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.

l22000 :-
	nl,
	print_('  Empiezas el camino de regreso por donde crees que has venido, en busca de\n  \
	      nuevo de la puerta. Llevas ya un buen rato intentando encontrarla pero es\n  \
	      inútil, es evidente que la puerta no aparece, estás en medio de la nada y\n  \
	      desorientación es total, podrías estar a más de un kilómetro de distancia de\n  \
	      la puerta pero, ¿en qué dirección?, o podría ser simplemente que la puerta\n  \
	      hubiera desaparecido, pues con las cosa raras que pasan últimamente...\n  \
	      '),
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  El caso es que no encuentras la puerta y vas a permanecer en medio de la\n  \
	      nada (un suelo blanco y un cielo que se ha vuelto negro) para el resto de tu\n  \
	      vida, y como parece ser que puedes sobrevivir en este entorno sin beber ni\n  \
	      comer, resulta que vas a pasar mucho tiempo en este sitio, toda la'),
	print_('  eternidad en concreto.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.

l23000 :-
	nl,
	print_('  Te lanzas al mar, caes muy rápido y te golpeas fuerte contra el agua pero no\n  \
	      sientes el menor dolor, una vez en el agua comienzas a hundirte más y más\n  \
	      sin poder hacer nada por evitarlo, parece que te vas a ahogar pero no es\n  \
	      asi, puedes respirar perfectamente como un pez por sus agallas.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l6000.

l24000 :-
	nl,
	print_('  Te levantas de tu asiento y te diriges al lavabo, cuando llegas está ocupado\n  \
	      asi que esperas unos minutos hasta que sale la persona que lo estaba\n  \
	      utilizando, entonces entras y cierras la puerta, de repente oyes un\n  \
	      estruendoso ruido que proviene del retrete y tú no has tocado el pulsador\n  \
	      que tira el agua y desaloja los desechos.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Sientes una corriente de aire, y notas como el agujero del retrete, ¡te está\n  \
	      absorbiendo!, la fuerza de atracción va en aumento hasta que no puedes\n  \
	      resistirte más y el agujero te engulle, no entiendes como has podido caber\n  \
	      por ese agujero tan diminuto.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Crees que vas a aparecer en medio del aire, expulsado por el avión pero no,\n  \
	      ahora estás en un medio acuático, y no paras de hundirte más y más en él,\n  \
	      pero lo más curioso es que no tienes dificultad para respirar, respiras con\n  \
	      normalidad, ¡en el agua!'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l6000.

l25000 :-
	nl,
	print_('  No te atreves a lanzarte, y la puerta se cierra ella sola con gran rapidez,\n  \
	      notas algo en la cabeza, son gotas de agua, perece que se está poniendo a\n  \
	      llover, el agua aumenta en cantidad, cada vez llueve más, llueve muchísimo,\n  \
	      estás totalmente mojado, en tu vida habías visto llover tanto, y no se ve\n  \
	      una nube en el cielo rojizo.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l10000.

l26000 :-
	nl,
	print_('  Saltas como un loco por encima de los asientos, nadando por las cabezas de\n  \
	      la gente, estás armando un buen jaleo, varios auxiliares de vuelo te cogen y\n  \
	      te inmovilizan y tú sigues resistiéndote como un loco, sin mediar palabra\n  \
	      los auxiliares te conducen hasta una de las puertas del avión, y la abren\n  \
	      delante de tus narices.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  La puerta se abre pero sorprendentemente la cabina no empieza a\n  \
	      despresurizarse, ni siquiera corre un pelo de aire, acto seguido los\n  \
	      auxiliares de vuelo te expulsan del avión por la puerta y después la\n  \
	      cierran. Tu empiezas a caer.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l7000("0").

l27000 :-
	nl,
	print_('  Abres la puerta que como está en el suelo se abre a modo de escotilla, miras\n  \
	      hacia abajo a través de la abertura que deja la puerta y divisas una\n  \
	      superficie que está muy abajo y que... parece agua, si, es una extensión\n  \
	      enorme de agua, parece un mar, al mismo tiempo notas que desde abajo sopla\n  \
	      un viento helado.'),
	nl,
	print_(' Opciones:'),
	print_('l->lanzarte al mar a través de la apertura de la puerta'),
	print_('n->no lanzarte y permanecer donde estás'),
	nl,
	raw_input('>',Opt),
	sel_l27000(Opt).

sel_l27000("l") :- l23000.
sel_l27000("n") :- l25000.
sel_l27000("salir").
sel_l27000(_) :- l27000.
  
l28000 :-
	nl,
	print_('  Solo con tu deseo consigues que el bicho ambiguo poco a poco (aunque el\n  \
	      cambio se produce en menos de una décima de segundo) se transforme en un\n  \
	      hombre varonil, fuerte y poderosamente atractivo, en fin, en un semental,\n  \
	      acto seguido con un vozarrón digno de un tenor pronuncia: \'¿Qué desea,\n  \
	      señor(a)?\' a lo que tu respondes...'),
	nl,
	print_(' Opciones:'),
	print_('z->\'deseo un zumo de naranja\''),
	print_('e->\'eres un cerdo, gigolo, chapero de mierda\''),
	print_('q->\'quiero follarte ahora mismo\''),
	print_('n->no dices nada y le das un puñetazo en toda la cara con todas tus fuerzas\n  \
	      '),
	raw_input('>',Opt),
	sel_l28000(Opt).

sel_l28000("z") :- l48000('rojo').
sel_l28000("e") :- l47000.
sel_l28000("q") :- l16000.
sel_l28000("n") :- l37000.
sel_l28000("salir").
sel_l28000(_) :- l28000.
  
l29000 :-
	nl,
	print_('  Te levantas de tu asiento y como si un ser superior te escuchara miras a tu\n  \
	      mano derecha y ves que ahora empuña un gran sable de acero bien afilado asi\n  \
	      que corres hacia la parte delantera del autobús y con un movimiento rápido\n  \
	      le cortas la cabeza al conductor, su sangre y restos de vísceras salpican\n  \
	      los cristales cercanos y todo el panel de mandos.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Cuando te vuelves hacia los pasajeros ves que la persona que tenía\n  \
	      posibilidades de que la hubieras besado te está apuntando con una pistola,\n  \
	      antes de que puedas mediar palabra, incluso antes de que el autobús, que va\n  \
	      sin control, se estampe contra algo, esta persona dispara y te aloja una\n  \
	      bala entre ceja y ceja, el conductor del autobús no es el único muerto\n  \
	      abordo.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.
  
l30000 :-
	nl,
	print_('  Simplemente no haces nada, te quedas donde estás y consecuentemente no\n  \
	      ocurre nada, sigues en la sala circular, sentad@ en la colchoneta aun\n  \
	      decidiendo lo que vas a hacer.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l20210.
  
l31000 :-
	nl,
	print_('  Te levantas y enciendes la televisión.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Están dando noticias deportivas, toda la información se centra en el fatal\n  \
	      accidente en la F1, al parecer el que iba a proclamarse campeón del mundo\n  \
	      salío despedido de su monoplaza en plena marcha.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.
  
l32000 :-
	nl,
	print_('  Decides no tomártelo, quien sabe de qué será el zumo..., de repente empiezas\n  \
	      a notarte más ligero, y súbitamente eres tan ligero que te has elevado de tu\n  \
	      asiento y has salido despedido hacia arriba, atravesando el fuselaje del\n  \
	      avión hacia cielo abierto, sin ni siquiera romperte la cabeza. Lo curioso es\n  \
	      que a esas alturas sigues respirando con normalidad. La sensación de\n  \
	      libertada es total, puedes ir volando a donde te propongas.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.
  
l33000 :-
	nl,
	print_('  El sujeto tiene ahora cara de hombre, pelo de mujer, por lo abultado de su\n  \
	      pelvis se diría que posee pene, pero también se le denotan pechos de mujer,\n  \
	      al verlo horrorizado sales corriendo de tu asiento.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l7000("0").
  
l34000 :-
	nl,
	print_('  Comienzas a correr hacia una dirección cualquiera, sin saber muy bien hacia\n  \
	      donde te diriges, al cabo de un rato sigues viendo solo un horizonte en\n  \
	      medio de la nada.'),
	nl,
	print_(' Opciones:'),
	print_('i->intentar volver a la puerta'),
	print_('s->seguir corriendo'),
	print_('q->quedarte donde estas'),
	nl,
	raw_input('>',Opt),
	sel_l34000(Opt).

sel_l34000("i") :- l22000.
sel_l34000("s") :- l41000.
sel_l34000("q") :- l38000.
sel_l34000("salir").
sel_l34000(_) :- l34000.
  
l35000 :-
	nl,
	print_('  La abertura oscura no te inspira ninguna confianza asi que no te acercas a\n  \
	      ella y de repente se cierra tan rápido como se abrió, la habitación se\n  \
	      oscurece, se empieza a oir ruido bullicioso, como silbidos algo lejanos, y\n  \
	      también ruido de pisadas más cercanas, se vuelve a hacer la luz y ya no\n  \
	      estás en la estancia que estabas antes.'),
	nl,
	print_(' Pulsa enter'),
	raw_input('',_),
	l17000.
  
l36000 :-
	nl,
	print_('  Te levantas del asiento en donde estás y te diriges hacia la parte delantera\n  \
	      del avión, estás a pocos metros de la puerta de la cabina, hasta donde dejan\n  \
	      permanecer a los pasajeros, cuando no ves a ninguna azafata cerca corres\n  \
	      hacia la puerta de la cabina y de una patada la echas abajo.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Entras en la cabina, pero alli no hay nadie, ni rastro de los pilotos.\n  \
	      '),
	print_(' Opciones:'),
	print_('e->estrellar el avión'),
	print_('l->llamar a una azafata'),
	print_('s->salir de la cabina y volver a tu asiento'),
	nl,
	raw_input('>',Opt),
	sel_l36000(Opt).

sel_l36000("e") :- l14000.
sel_l36000("l") :- l49000.
sel_l36000("s") :- l46000.
sel_l36000("salir").
sel_l36000(_) :- l36000.
  
l37000 :-
	nl,
	print_('  Le sueltas un puñetazo fenomenal, va a caer de espaldas al suelo, pero antes\n  \
	      de ni siquiera rozarlo desaparece, solo dos o tres personas del avión han\n  \
	      sido testigos pero se hacen los tontos para que no les tomen por locos.\n  \
	      '),
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Entonces te das cuenta de que tu también has desaparecido, es decir tu\n  \
	      consciencia, tu alma, está aun en el avión pero no hay ni rastro de tu\n  \
	      cuerpo, quizá el alma del azafat@ al que has golpeado siga también aqui.\n  \
	      '),
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.
  
l38000 :-
	nl,
	print_('  Te quedas quieto donde estás, de esta forma consigues descansar un poco, de\n  \
	      repente notas como que te ahogas, inspiras y expiras aire pero te ahogas, la\n  \
	      proporción de oxígeno debe haber bajado por debajo del 15%, puede que ni\n  \
	      siquiera haya una sola molécula de oxígeno. Mueres en unos cuantos segundos,\n  \
	      quizá en minuto y medio, como mucho.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.
  
l39000 :-
	nl,
	print_('  Te quedas quieto observando a la gente que camina a tu alrededor, todos\n  \
	      permanecen con gestos inexpresivos, caminan a la misma velocidad y sin\n  \
	      parar, los aéreos circulan ordenadamente por carriles imaginarios, es todo\n  \
	      tan cuadriculado que te empieza a exasperar.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l2000.
  
l40000 :-
	nl,
	print_('  La verdad es que no es nada fácil salir de un monoplaza F1 y menos aun\n  \
	      hacerlo en plena marcha, lo primero que haces es quitarte el cinturón de\n  \
	      seis puntos anclaje, una vez hecho esto sabes que tienes que soltar el\n  \
	      volante, no se puede salir de un coche de estos sin sacar el volante asi que\n  \
	      sueltas el enganche y lo tiras al asfalto, el caso es que ahora viene una\n  \
	      curva y sin volante es un poco difícil girar, vas a colisionar antes de\n  \
	      poder saltar.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Empiezas a frenar demasiado tarde, cuando ya parece inevitable la colisión\n  \
	      el coche gira solo, de modo que tomas la curva correctamente y sigue\n  \
	      acelerando aunque tu sigues teniendo el pie pisando el freno, asi que saltas\n  \
	      del monoplaza en plena marcha como habías previsto.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  El golpe contra el asfalto te produce dolores por todo el cuerpo pero eso\n  \
	      no es lo peor, otro coche que viene por detrás de embiste de pleno.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l7000("1").
  
l41000 :-
	nl,
	print_('  Sigues corriendo sin una dirección fija, pero es inútil, no encuentras nada,\n  \
	      si hay algo está muy lejos o puede simplemente que no haya nada. Tienes sed,\n  \
	      hambre y comienzas a tener frío. El suelo ha cambiado de color a azul\n  \
	      marino, es cielo es rojo chillón más intenso que nunca. Solo sobrevivirás\n  \
	      unas cuantas horas, quizás unos pocos días.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.
  
l42000 :-
	nl,
	print_('  Aun sabiendo que probablemente no será de naranja te lo bebes, el sabor es\n  \
	      desconocido para ti, nunca habías probado nada parecido y el caso es que te\n  \
	      gusta, te gusta mucho, es más te gusta tanto que sigues pidiendo más y más\n  \
	      zumos iguales, y sigues bebiéndotelos hasta la eternidad pues el avión no\n  \
	      aterriza nunca, quizá eres feliz asi.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.
  
l43000 :-
	nl,
	print_('  Te acercas a las paredes y las vas tanteando por si hay alguna salida oculta\n  \
	      en la sala, después de haber recorrido toda la circunferencia te das cuenta\n  \
	      de que efectivamente no hay ninguna salida. Cuando ya te das por vencid@ te\n  \
	      tumbas en la colchoneta y justo en ese momento ves que parte de la pared ha\n  \
	      desaparecido dejando una salida, dicha salida es tan oscura que no puedes\n  \
	      ver lo que hay más alla del improvisado umbral.'),
	nl,
	print_(' Opciones:'),
	print_('a->acercarte al umbral y examinar desde alli lo que hay mas alla'),
	print_('e->entrar directamente por la abertura'),
	print_('n->no acercarte hacia la abertura'),
	nl,
	raw_input('>',Opt),
	sel_l43000(Opt).

sel_l43000("a") :- l1000.
sel_l43000("e") :- l45000.
sel_l43000("n") :- l35000.
sel_l43000("salir").
sel_l43000(_) :- l43000.
  
l44000 :-
	nl,
	print_('  Empiezas a tocar a todo el que pasa por delante de ti, especialmente a los\n  \
	      del genero preferente por tu tendencia sexual, pero la gente ni se inmuta,\n  \
	      pasa absolutamente de ti, no te hacen ni caso, y como tampoco es demasiado\n  \
	      gratificante, al cabo de unos minutos desistes de tus intentos.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l2000.
  
l45000 :-
	nl,
	print_('  Tan pronto como atraviesas el umbral se hace la luz y te encuentras en un\n  \
	      desierto hasta donde alcanza la vista, miras hacia atrás y el umbral ha\n  \
	      desaparecido, solo queda la arena del desierto. De repente notas una gota en\n  \
	      la cabeza, luego otra, parece que está empezando a llover en pleno desierto,\n  \
	      si, la lluvia torrencial es ya un hecho.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	l10000.
  
l46000 :-
	nl,
	print_('  Disimuladamente, como si nada y sin levantar sospechas sales sigilosamente\n  \
	      de la cabina y vuelves a tu asiento, parece ser que nadie se ha dado cuenta\n  \
	      de tu \'descubrimiento\', te preguntas qué pasará cuando todos se enteren de\n  \
	      que los pilotos han desaparecido, \'quizá por casualidad hayan ido todos los\n  \
	      tripulantes al lavabo al mismo tiempo\' piensas intentando engañarte a ti\n  \
	      mismo pero sin conseguirlo.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Al cabo de una hora y media aproximadamente, los auxiliares anuncian el\n  \
	      aterrizaje, te preguntas quién diablos aterrizará el avión, y por cierto, el\n  \
	      avión supuestamente va a tomar tierra en el aeropuerto más cercano a la\n  \
	      ciudad donde vives.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Pues si, parece ser que el avión pierde altura y aterriza impecablemente, te\n  \
	      quedas algo asombrado, y te preguntas como es posible que todos los\n  \
	      tripulantes puedan abandonar la cabina en pleno vuelo.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Poco antes de salir del avión, mientras vas por el pasillo ves que la puerta\n  \
	      de la cabina está en el suelo, tal y como la dejaste al derribarla y la\n  \
	      cabina sigue vacía, sigue sin haber rastro de los pilotos.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.
  
l47000 :-
	nl,
	print_('  Sin inmutarse te responde: \'¿y a mi qué?\' y se va como si nada. A\n  \
	      continuación sientes que desapareces del avión, ya no estás en el avión.\n  \
	      '),
	print_('  Pulsa enter'),
	raw_input('',_),
	l17000.
  
l48000(Z) :-
	nl,
	string_concat('  Al cabo de uno o dos minutos te traen un zumo, pero no debe ser de naranja\n  \
		     porque es de color ', Z, Aux1),
	string_concat(Aux1,', le vas a decir algo a quien te\n  \
		     lo ha traído, pero alli ya no hay nadie.',Aux2),
	print_(Aux2),
	nl,
	print_(' Opciones:'),
	print_('t->te lo bebes'),
	print_('n->no te lo bebes'),
	nl,
	raw_input('>',Opt),
	sel_l48000(Z,Opt).

sel_l48000(_,"t") :- l42000.
sel_l48000(_,"n") :- l32000.
sel_l48000(_,"salir").
sel_l48000(Z,_) :- l48000(Z).

l49000 :-
	nl,
	print_('  Sales de la cabina y llamas desesperadamente a una azafata, cuando logras\n  \
	      darte cuenta de lo que pasa a tu alrededor ves horrorizado como una azafata\n  \
	      se acerca hacia ti, entonces porqué lo de horrorizado, pues porque la\n  \
	      azafata es un zombie, si, ¡una azafata-zombie!. La esquivas y te diriges\n  \
	      hacia el resto del pasaje.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  El pánico se ha apoderado de ti completamente al ver que todo el pasaje se\n  \
	      ha convertido en zombies, antes de que puedas pensar nada más ya tienes\n  \
	      encima una treintena (por lo menos) de zombies pegándote mordiscos.'),
	nl,
	print_('  Pulsa enter'),
	raw_input('',_),
	nl,
	print_('  Ya no eres una persona normalita, tu mismo ya eres un zombie pero lo mejor\n  \
	      de todo es que no sientes que no está mal esto de ser zombie, que se es\n  \
	      feliz siendo zombie, vagando de un lado para otro, yendo donde te da la real\n  \
	      gana y atacando a cualquiera, nada de tapujos, nada de responsabilidades, lo\n  \
	      que cualquiera desearía.'),
	nl,
	print_('  Fin'),
	nl,
	print_('  Pulsa enter para salir'),
	raw_input('',_),
	nl.


% Main
?- 
  nl,
  print_('PAEE'),
  print_('Primera Aventura (o lo que sea) Experimental y Extraña v1.0'),
  print_('variante [completa; Prolog; texto UTF-8; 80 columnas]'),
  print_('(C) 1999 El Presi (Enrique D. Bosch)'),
  print_('Puede distribuirse libremente sin modificaciones en el texto'),
  nl,
  nl,
  l20000,
  halt.
